<?php
/**
 * Visforms field email business class
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6 
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Session\Session;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Uri\Uri;

require_once(__DIR__ . '/text.php');

class VisformsBusinessTel extends VisformsBusinessText {

	protected function setField() {
		$this->setIsDisabled();
		if (isset($this->field->dataSource) && $this->field->dataSource == 'post') {
			$this->validatePostValue();
		}
		$this->addShowWhenForForm();
	}

	 protected function validatePostValue() {
		parent::validatePostValue();
		// addtional validation of phone number format
		if ($this->field->attribute_value != "" && isset($this->field->phonevalidation)) {
			if (VisformsValidate::validate('tel', array('value' => $this->field->attribute_value, 'format' => $this->field->phonevalidation)) !== true) {
                $error = Text::sprintf('COM_VISFORMS_PHONE_NUMBER_FORMAT_INCORRECT', $this->field->label, $this->field->phonevalidation, Text::_("COM_VISFORMS_PHONE_NUMBER_FORMAT_".$this->field->phonevalidation));
				$this->field->isValid = false;
				$this->setErrors($error);
			}
		}
	}
}