<?php
/**
 * Visforms create control HTML class
 *
 * @author       Aicha Vack
 * @package      Joomla.Site
 * @subpackage   com_visforms
 * @link         https://www.vi-solutions.de
 * @license      GNU General Public License version 2 or later; see license.txt
 * @copyright    2012 vi-solutions
 * @since        Joomla 1.6
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Layout\LayoutHelper;

class VisformsHtmlControlBt5Radio extends VisformsHtmlControl
{
	public function getControlHtml() {
        $field = $this->field->getField();
        $field->clabel = $this->createlabel();
        $field->ccustomtext = $this->getCustomText();
        $field->inverseBtLabelClasses = $this->getCtClasses();
        $field->ctrlGroupBtClasses = $this->getCtrlGroupBtClasses();
		return LayoutHelper::render('visforms.bt5.radio.control', array('field' => $field), null, array('component' => 'com_visforms'));
	}

	public function createLabel() {
		$field = $this->field->getField();
		$labelClass = $this->getLabelClass();
		$field->labelClass = $labelClass;
		return LayoutHelper::render('visforms.bt5.radio.label', array('field' => $field), null, array('component' => 'com_visforms'));
	}

    protected function getCtrlGroupBtClasses() {
        $field = $this->field->getField();
        $classes = (!empty($field->show_label) && $field->labelBootstrapWidth != "12") ? 'offset-' . $field->labelBootstrapWidth . ' col-' . (12 - $field->labelBootstrapWidth) : (($field->labelBootstrapWidth != "12") ? ' col-' . (12 - $field->labelBootstrapWidth) : ' col-12');
        foreach ($this->breakPoints as $breakPoint) {
            $name = 'labelBootstrapWidth' . $breakPoint;
            $lcBreakPoint = lcfirst($breakPoint);
            $classes .= (!empty($field->show_label) && $field->$name != "12") ? ' offset-' . $lcBreakPoint . '-' . $field->$name . ' col-' . $lcBreakPoint . '-' . (12 - $field->$name) : ((empty($field->show_label) && $field->$name != "12") ? ' col-' . $lcBreakPoint . '-' . (12 - $field->$name) : '');
        }
        return $classes;
    }
}